//@use "@angular/material" as mat;

//@import "../../../../node_modules/@angular/material/theming";
//@include mat-core();

// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use "@angular/material" as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$theme-primary: mat.define-palette(mat.$indigo-palette);
$theme-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$theme-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$theme: mat.define-light-theme(
  (
    color: (
      primary: $theme-primary,
      accent: $theme-accent,
      warn: $theme-warn,
    ),
    typography: mat.define-typography-config(),
  )
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($theme);

.mat-cell {
  &-actions {
    $cell-button-margin: 3px;
    flex-wrap: wrap;

    margin-left: -(calc($cell-button-margin / 2));
    margin-right: -(calc($cell-button-margin / 2));
    padding-bottom: $cell-button-margin;
    padding-top: $cell-button-margin;
    user-select: none;
    text-decoration: none;

    button {
      margin: $cell-button-margin;
    }
  }

  &__status {
    align-items: center;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    user-select: none;
    text-decoration: none;

    &__icon {
      font-size: 1.4em;
      line-height: 1.428571429;
    }

    &__text {
      width: 100%; // IE fix
    }
  }

  &--5 {
    max-width: 5%;
  }

  &--10 {
    max-width: 10%;
  }

  &--15 {
    max-width: 15%;
  }

  &--20 {
    max-width: 20%;
  }

  &--25 {
    max-width: 25%;
  }

  &--column {
    align-items: flex-start;
    flex-direction: column;
    justify-content: center;
    user-select: none;
    text-decoration: none;
  }

  &--center {
    align-items: center;
    justify-content: center;
    text-align: center;
    user-select: none;
    text-decoration: none;
  }

  &--start {
    align-items: center;
    justify-content: flex-start;
    user-select: none;
    text-decoration: none;
  }

  &--end {
    align-items: center;
    justify-content: flex-end;
    user-select: none;
    text-decoration: none;
  }

  &--colored {
    background: #f5f5f5 !important;
    margin: 0.2rem !important;
    border-radius: 1rem;
    cursor: pointer;
    user-select: none;
    text-decoration: none;
  }
}

.mat-header-cell,
.mat-cell {
  min-height: 0; // Fixes issues with flex vertical centering on IE
  padding: 0 20px;
}

.mat-header-cell {
  font-weight: bold;
  margin: 0.2rem;

  &__actions {
    width: 150px;
  }
}

.cdk-overlay-pane {
  background-color: #ffffff;
}

.mat-horizontal-stepper-header .mat-step-icon {
  margin-right: 8px;
  flex: none;
}

.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
  color: lightblue;
}
